List Devices Pending Adoption
Retrieve a paginated list of devices pending adoption, including basic device information. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`macAddress`|`STRING`|`eq` `ne` `in` `notIn`| |`ipAddress`|`STRING`|`eq` `ne` `in` `notIn`| |`model`|`STRING`|`eq` `ne` `in` `notIn`| |`state`|`STRING`|`eq` `ne` `in` `notIn`| |`supported`|`BOOLEAN`|`eq` `ne`| |`firmwareVersion`|`STRING`|`isNull` `isNotNull` `eq` `ne` `gt` `ge` `lt` `le` `like` `in` `notIn`| |`firmwareUpdatable`|`BOOLEAN`|`eq` `ne`| |`features`|`SET(STRING)`|`isEmpty` `contains` `containsAny` `containsAll` `containsExactly`| </details>
Retrieve a paginated list of devices pending adoption, including basic device information.
| Name | Type | Allowed functions |
|---|---|---|
macAddress | STRING | eq ne in notIn |
ipAddress | STRING | eq ne in notIn |
model | STRING | eq ne in notIn |
state | STRING | eq ne in notIn |
supported | BOOLEAN | eq ne |
firmwareVersion | STRING | isNull isNotNull eq ne gt ge lt le like in notIn |
firmwareUpdatable | BOOLEAN | eq ne |
features | SET(STRING) | isEmpty contains containsAny containsAll containsExactly |
Authorization
ApiKey UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).
In: header
Query Parameters
Response Body
application/json
curl -X GET "https://example.com/v1/pending-devices"{ "offset": 0, "limit": 25, "count": 10, "totalCount": 1000, "data": [ { "macAddress": "94:2a:6f:26:c6:ca", "ipAddress": "192.168.1.55", "model": "UHDIW", "state": "ONLINE", "supported": true, "firmwareVersion": "6.6.55", "firmwareUpdatable": true, "features": [ "switching" ], "adoptionTargetSiteIds": [ "60e22d2c-fe16-4dde-9494-122922abc5bc" ] } ]}List Adopted Devices GET
Retrieve a paginated list of all adopted devices on a site, including basic device information. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`macAddress`|`STRING`|`eq` `ne` `in` `notIn`| |`ipAddress`|`STRING`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`model`|`STRING`|`eq` `ne` `in` `notIn`| |`state`|`STRING`|`eq` `ne` `in` `notIn`| |`supported`|`BOOLEAN`|`eq` `ne`| |`firmwareVersion`|`STRING`|`isNull` `isNotNull` `eq` `ne` `gt` `ge` `lt` `le` `like` `in` `notIn`| |`firmwareUpdatable`|`BOOLEAN`|`eq` `ne`| |`features`|`SET(STRING)`|`isEmpty` `contains` `containsAny` `containsAll` `containsExactly`| |`interfaces`|`SET(STRING)`|`isEmpty` `contains` `containsAny` `containsAll` `containsExactly`| </details>
Remove (Unadopt) Device DELETE
Removes (unadopts) an adopted device from the site. If the device is online, it will be reset to factory defaults.